# Class ParameterInfo

java.lang.Object
org.apache.tomcat.util.modeler.FeatureInfo
org.apache.tomcat.util.modeler.ParameterInfo

All Implemented Interfaces:
  `Serializable`

public class ParameterInfo extends FeatureInfo

Internal configuration information for a `Parameter` descriptor.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class FeatureInfo

`description, info, name, type`

## Constructor Summary

Constructors
Constructor
Description
`ParameterInfo()`
Standard zero-arguments constructor.

## Method Summary

Modifier and Type
Method
Description
`MBeanParameterInfo`
`createParameterInfo()`
Create and return a `MBeanParameterInfo` object that corresponds to the parameter described by this instance.

### Methods inherited from class FeatureInfo

`getDescription, getName, getType, setDescription, setName, setType`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParameterInfo

public ParameterInfo()
Standard zero-arguments constructor.

## Method Details

### createParameterInfo

public MBeanParameterInfo createParameterInfo()
Create and return a `MBeanParameterInfo` object that corresponds to the parameter described by this instance.

Returns:
  a parameter info